Sessions
Get a session's custom properties
GET
/api/websites/{websiteId}/sessions/{sessionId}/propertiesReturns custom property records, data types, and values for the specified website session.
Try it
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Token returned by POST /api/auth/login, or an API key (`umami_…`) created under Settings → API keys (self-hosted only). Bearer <token>. |
| x-umami-share-contextrequired | string | Required context header when authenticating with a share token. <api-key>. |
| x-umami-share-tokenrequired | string | Signed token returned by a share endpoint. <api-key>. |
Path parameters
| Name | Type | Description |
|---|---|---|
| websiteIdrequired | string | ID of the website. |
| sessionIdrequired | string | ID of the visitor session. |
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| createdAtrequired | string | Date and time the record was created. |
| dataKeyrequired | string | Name of the custom property. |
| dataTyperequired | number | Data type of the custom property. |
| dateValuerequired | string | Custom property value stored as a date-time. |
| numberValuerequired | number | Custom property value stored as a number. |
| sessionIdrequired | string | ID of the visitor session. |
| stringValuerequired | string | Custom property value stored as a string. |
| websiteIdrequired | string | ID of the website. |
200 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL